Update an integration API key whose entire current and proposed project access is granted to this caller.
curl --request POST \
--url https://api.sendrealm.com/project-operations/integration_keys_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"permissions": [],
"default_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
project_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
permissions: [],
default_project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sendrealm.com/project-operations/integration_keys_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/project-operations/integration_keys_update"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"permissions": [],
"default_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"targeting": {
"version": 1,
"base": {
"type": "all_contacts"
},
"excluded_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_rules": {
"kind": "group",
"operator": "and",
"children": "<array>"
},
"push_rules": {
"kind": "group",
"operator": "and",
"children": "<array>"
}
},
"readiness": "<string>"
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Agent account administration
Integration Keys Update
Update an integration API key whose entire current and proposed project access is granted to this caller. Requires the explicit operation scope and current actor access.
POST
/
project-operations
/
integration_keys_update
Update an integration API key whose entire current and proposed project access is granted to this caller.
curl --request POST \
--url https://api.sendrealm.com/project-operations/integration_keys_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"permissions": [],
"default_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
project_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
permissions: [],
default_project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sendrealm.com/project-operations/integration_keys_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/project-operations/integration_keys_update"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"permissions": [],
"default_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"targeting": {
"version": 1,
"base": {
"type": "all_contacts"
},
"excluded_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_rules": {
"kind": "group",
"operator": "and",
"children": "<array>"
},
"push_rules": {
"kind": "group",
"operator": "and",
"children": "<array>"
}
},
"readiness": "<string>"
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Update an integration API key whose entire current and proposed project access is granted to this caller.
Requires a scoped personal key, an explicit granted project_id, and integration_keys.write. Current role and credential grants remain enforced. See Agent messaging and project operations for authorization and recovery.
Authorizations
Body
application/json